%global pypi_name python-language-server

%global short_name language-server

Name:           %{pypi_name}
Version:        0.36.2
Release:        %mkrel 7
Summary:        Python Language Server for the Language Server Protocol
Group:          Development/Python
License:        MIT
URL:            https://github.com/palantir/python-language-server
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Patch0:         python-language-server-0.36.2-relax-dependencies.patch
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(autopep8)
BuildRequires:  python3dist(coverage)
BuildRequires:  python3dist(flake8)
BuildRequires:  python3dist(jedi)
BuildRequires:  python3dist(matplotlib)
BuildRequires:  python3dist(mccabe)
BuildRequires:  python3dist(mock)
BuildRequires:  python3dist(numpy)
BuildRequires:  python3dist(pandas)
BuildRequires:  python3dist(pluggy)
BuildRequires:  python3dist(pycodestyle)
BuildRequires:  python3dist(pydocstyle) >= 2.0.0
BuildRequires:  python3dist(pyflakes) >= 1.6.0
BuildRequires:  python3dist(pylint)
BuildRequires:  python3dist(pyqt5)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-cov)
BuildRequires:  python3dist(python-jsonrpc-server)
BuildRequires:  python3dist(rope) >= 0.10.5
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(ujson)
BuildRequires:  python3-versioneer
BuildRequires:  python3dist(yapf)
BuildRequires:  python3dist(flaky)

%description
A Python implementation of the Language Server Protocol.

%package -n     python3-%{short_name}
Summary:        Python Language Server for the Language Server Protocol
Group:          Development/Python
%{?python_provide:%python_provide python3-%{short_name}}

%description -n python3-%{short_name}
A Python implementation of the Language Server Protocol.

%{?python_extras_subpkg:%{python_extras_subpkg -n python3-%{short_name} -i %{python3_sitelib}/python_language_server-*.egg-info all}}

%prep
%autosetup -n %{pypi_name}-%{version} -p1

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%if 0
%check
%pytest -v -k '(not test_folding and not test_pylint and not test_symbols and not test_symbols_all_scopes)'
%endif


%files -n python3-%{short_name}
%license LICENSE
%doc README.rst
%{_bindir}/pyls
%{python3_sitelib}/pyls
%{python3_sitelib}/python_language_server-%{version}-py%{python3_version}.egg-info


%changelog
* Wed Apr 06 2022 umeabot <umeabot> 0.36.2-7.mga9
+ Revision: 1846137
- Mageia 9 Mass Rebuild

* Thu Feb 24 2022 mrambo3501 <mrambo3501> 0.36.2-6.mga9
+ Revision: 1783886
- rebuild for python-3.10

* Wed Apr 21 2021 daviddavid <daviddavid> 0.36.2-5.mga9
+ Revision: 1717826
- relax also jedi and pyflakes dependencies

* Tue Apr 20 2021 daviddavid <daviddavid> 0.36.2-4.mga9
+ Revision: 1717286
- relax pycodestyle dependency

* Mon Apr 19 2021 daviddavid <daviddavid> 0.36.2-3.mga9
+ Revision: 1717008
- add python3-language-server[all] extra subpackage

* Mon Mar 22 2021 daviddavid <daviddavid> 0.36.2-2.mga9
+ Revision: 1707400
- rebuild for python 3.9

* Thu Jan 07 2021 daviddavid <daviddavid> 0.36.2-1.mga8
+ Revision: 1669470
- initial package python-language-server (needed for spyder)

